Ask a question about a data domain
curl --request POST \
--url https://api.example.com/api/query/ask \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"prompt": "<string>"
}
'import requests
url = "https://api.example.com/api/query/ask"
payload = {
"domain": "<string>",
"prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', prompt: '<string>'})
};
fetch('https://api.example.com/api/query/ask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_url": "<string>",
"domain": "<string>",
"domain_urn": "<string>",
"query": "<string>",
"prompt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dashboard_id": 123,
"embed_info": {
"embed_url": "<string>",
"entity_id": 123,
"token": "<string>"
},
"error": "<string>",
"analytics_provider": "superset"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ask
Ask a question about a data domain
Asks a question about a specific data domain.
POST
/
api
/
query
/
ask
Ask a question about a data domain
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Response
Ask successful.
URL of the visualized card or dashboard generated from the query.
The domain context related to the query or response.
The unique URN representing the domain in the metadata system.
The SQL query generated or executed in response to the user's prompt.
The original prompt or question submitted by the user.
A unique identifier for the AI response or query.
The unique identifier of the dashboard created.
URL to embed the resulting visualization or card.
Show child attributes
Show child attributes
Error message if any occurred during query generation or execution.
The analytics platform used for visualization.
Was this page helpful?

